Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface SequenceIterable

All Known Implementing Classes:
  Adjust, Aggregate, AnalyzeString, AnalyzeStringFunction, AnyURIValue, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, AtomicValue, Atomizer, Available, AxisExpression, Base64BinaryValue, BaseURI, BigIntegerValue, BinaryExpression, Block, BooleanExpression, BooleanFn, BooleanValue, CalendarValue, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, Closure, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompiledClosure, CompiledMemoClosure, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, Contains, ContextItemExpression, Copy, CopyOf, Current, CurrentDateTime, CurrentGroup, CurrentItemExpression, Data, DateTimeConstructor, DateTimeValue, DateValue, DayTimeDurationValue, DecimalValue, DeepEqual, DefaultCollation, DistinctValues, Doc, DocAvailable, Doctype, Document, DocumentInstr, DocumentSorter, DoubleValue, DurationValue, DynamicFunction, DynamicFunctionCall, EagerLetExpression, ElementCreator, EmptySequence, Error, ErrorExpression, EscapeURI, Evaluate, Existence, Expression, ExtensionFunctionCall, FilterExpression, Find, FirstClassFunction, FirstItemExpression, FixedAttribute, FixedElement, FloatValue, ForceCase, ForEach, ForEachGroup, ForEachGroupFunction, ForExpression, FormatDate, FormatNumber2, FunctionCall, GDateValue, GDayValue, GeneralComparison, GeneralComparison10, GeneralComparisonSA, GeneralVariable, GlobalParam, GlobalVariable, GMonthDayValue, GMonthValue, GYearMonthValue, GYearValue, HexBinaryValue, Id, IdentityComparison, Idref, IfExpression, Index, IndexedFilterExpression, IndexedLookupExpression, IndexedValue, IndexOf, InScopePrefixes, Insert, InstanceOfExpression, Instruction, Int64Value, IntegerRange, IntegerRangeTest, IntegerValue, IsLastExpression, ItemChecker, ItemClosure, KeyFn, Lang, Last, LazyExpression, LetExpression, Literal, LocalParam, LocalVariable, LocalVariableReference, Matches, MemoClosure, Message, Minimax, NamePart, Namespace, NamespaceForPrefix, NegateExpression, NextMatch, Nilled, NormalizeSpace, NormalizeUnicode, NotationValue, NumberFn, NumberInstruction, NumericPromoter, NumericValue, ObjectValue, ParentNodeConstructor, ParentNodeExpression, Parse, PathExpression, PatternMatchExpression, PatternSponsor, Position, PositionRange, ProcessingInstruction, QNameFn, QNameValue, QualifiedNameValue, QuantifiedExpression, QuerySimpleContentConstructor, RangeExpression, RegexGroup, Remove, Replace, ResolveQName, ResolveURI, ResultDocument, Reverse, Reverser, Root, RootExpression, Rounding, SequenceExtent, Serialize, ShareableSequence, SimpleContentConstructor, SimpleExpression, SimpleMappingExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonComparison, SingletonNode, SliceExpression, SortExpression, StaticBaseURI, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, StringValue, Subsequence, Substring, SuppliedParameterReference, SystemFunction, SystemProperty, Tail, TailCallLoop, TailExpression, TimeValue, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, Try, TupleExpression, TupleSorter, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UntypedAtomicValue, UseAttributeSets, UserFunctionCall, ValidationErrorValue, Value, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall, YearMonthDurationValue

    public interface SequenceIterable

This interface is a simple subset of the Expression interface, that provides a single method to evaluate the result of an expression as a sequence

Method Summary
`SequenceIterator` | `iterate(XPathContext context)` Return an iterator over the results of evaluating an expression

Method Detail

### iterate

    SequenceIterator iterate(XPathContext context)
                             throws XPathException

  Return an iterator over the results of evaluating an expression

  Parameters:
    `context` - the dynamic evaluation context
  Returns:
    an iterator over the items delivered by the expression
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.